"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _q3UiLocale = require("q3-ui-locale");

var _propTypes = _interopRequireDefault(require("prop-types"));

var _gatsby = require("gatsby");

var _Button = _interopRequireDefault(require("@material-ui/core/Button"));

var _FormBoxNotice = _interopRequireDefault(require("./FormBoxNotice"));

var _utils = require("./utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const withSuccessOp = (Component, msg) => {
  const SuccessOpMessage = props => {
    const {
      location: {
        search,
        pathname
      }
    } = props;
    const {
      t
    } = (0, _q3UiLocale.useTranslation)();
    return (0, _utils.hasOp)(search) ? /*#__PURE__*/_react.default.createElement(_FormBoxNotice.default, {
      title: msg,
      description: msg
    }, /*#__PURE__*/_react.default.createElement(_Button.default, {
      component: _gatsby.Link,
      to: "/login",
      variant: "contained",
      color: "primary"
    }, t('labels:login'))) : /*#__PURE__*/_react.default.createElement(Component, _extends({}, props, {
      onSuccess: (0, _utils.toOp)(pathname)
    }));
  };

  SuccessOpMessage.propTypes = {
    location: _propTypes.default.shape({
      search: _propTypes.default.string,
      pathname: _propTypes.default.string
    }).isRequired
  };
  return SuccessOpMessage;
};

var _default = withSuccessOp;
exports.default = _default;