"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _q3UiLocale = require("q3-ui-locale");

var _propTypes = _interopRequireDefault(require("prop-types"));

var _gatsby = require("gatsby");

var _axios = _interopRequireDefault(require("axios"));

var _builders = require("q3-ui-forms/lib/builders");

var _Button = _interopRequireDefault(require("@material-ui/core/Button"));

var _FormBox = _interopRequireDefault(require("../components/FormBox"));

var _FormBoxContent = _interopRequireDefault(require("../components/FormBoxContent"));

var _FormBoxNotice = _interopRequireDefault(require("../components/FormBoxNotice"));

var _utils = require("../components/utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Reverify = ({
  location: {
    search,
    pathname
  }
}) => {
  const {
    t
  } = (0, _q3UiLocale.useTranslation)();
  if ((0, _utils.hasOp)(search)) return /*#__PURE__*/_react.default.createElement(_FormBoxNotice.default, {
    title: "reverified",
    description: "reverified"
  }, /*#__PURE__*/_react.default.createElement(_Button.default, {
    component: _gatsby.Link,
    to: "/reverify",
    variant: "contained",
    color: "primary"
  }, t('labels:tryAgain')));
  return /*#__PURE__*/_react.default.createElement(_FormBox.default, {
    renderBottom: /*#__PURE__*/_react.default.createElement(_builders.Form, {
      onSubmit: body => _axios.default.post('/reverify', body).then((0, _utils.toOp)(pathname))
    }, /*#__PURE__*/_react.default.createElement(_builders.Field, {
      type: "email",
      name: "email",
      xl: 12,
      lg: 12,
      md: 12,
      required: true
    })),
    renderTop: /*#__PURE__*/_react.default.createElement(_FormBoxContent.default, {
      title: "reverify",
      description: "reverify"
    })
  });
};

Reverify.propTypes = {
  location: _propTypes.default.shape({
    search: _propTypes.default.string,
    pathname: _propTypes.default.string
  }).isRequired
};
var _default = Reverify;
exports.default = _default;